﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            LoadData();
        }
    }

    protected void RadGrid1_PageSizeChanged(object source, GridPageSizeChangedEventArgs e)
    {
        LoadData();
    }

    private void LoadData()
    {
        RadGrid1.DataSource = GetData();
        //Retrieve the Grid's filter
        //string aa = RadGrid1.MasterTableView.FilterExpression;

    }

    protected void RadGrid1_PageIndexChanged(object source, Telerik.Web.UI.GridPageChangedEventArgs e)
    {
        LoadData();
    }

    protected void RadGrid1_SortCommand(object source, Telerik.Web.UI.GridSortCommandEventArgs e)
    {
        LoadData();
    }

    protected DataTable GetData()
    {
        DataTable tbl = new DataTable();
        tbl.Columns.Add(new DataColumn("CustomerID"));
        tbl.Columns.Add(new DataColumn("CompanyName"));
        tbl.Columns.Add(new DataColumn("ContactName"));
        tbl.Columns.Add(new DataColumn("ContactTitle"));
        tbl.Columns.Add(new DataColumn("Address"));
        tbl.Columns.Add(new DataColumn("PostalCode"));

        tbl.Rows.Add(new object[] { 1, "unknown", "john", "mr.", "unknow address", 5500 });
        tbl.Rows.Add(new object[] { 2, "Apple", "ivan", "mr.", "unknow address", 5500 });
        tbl.Rows.Add(new object[] { 3, "Microsoft", "dany", "mr.", "unknow address", 5500 });
        tbl.Rows.Add(new object[] { 25, "WinNTasd", "williams", "mr.", "unknow address", 5500 });

        return tbl;
    }
}